use serde::Deserialize;

#[derive(Deserialize, Debug)]
pub(crate) struct Config {
    pub gitlab: Vec<GitlabConfig>,
    pub gitea: Vec<GiteaConfig>,
    pub openproject: OpenProjectConfig,
}

#[derive(Deserialize, Debug)]
pub(crate) struct GitlabConfig {
    pub token: String,
    pub domain: String,
}

#[derive(Deserialize, Debug)]
pub(crate) struct GiteaConfig {
    pub token: String,
    pub domain: String,
}

#[derive(Deserialize, Debug)]
pub(crate) struct OpenProjectConfig {
    pub token: String,
    pub base_url: String,
}
