use reqwest::header::InvalidHeaderValue;
use reqwest::Error;

#[derive(Debug)]
pub struct GeneralError {
    pub(crate) description: String,
}

impl From<InvalidHeaderValue> for GeneralError {
    fn from(value: InvalidHeaderValue) -> Self {
        GeneralError {
            description: "Unable to convert the token into header value".to_string(),
        }
    }
}

impl From<reqwest::Error> for GeneralError {
    fn from(value: Error) -> Self {
        GeneralError {
            description: format!("Unable to perform a request: {}", value.to_string()),
        }
    }
}
