use crate::cli::Issue2Work;
use crate::config::Config;
use crate::error::GeneralError;
use url::Url;

pub(crate) mod issue2work;

pub trait Issue2WorkActionTrait {
    async fn run(&self, url: &Url, config: &Config, args: &Issue2Work) -> Result<(), GeneralError>;

    fn supports(&self, url: &Url, config: &Config, args: &Issue2Work) -> bool;
}
